import { ChainId } from "./chainid";
import { SynapseContracts } from "./synapse_contracts";
export const rejectPromise = (e) => Promise.reject(e instanceof Error ? e : new Error(e));
export function executePopulatedTransaction(populatedTxn, signer) {
    return populatedTxn
        .then((populatedTxn) => signer.sendTransaction(populatedTxn))
        .catch(rejectPromise);
}
export function contractAddressFor(chainId, key) {
    const { address } = contractsForChainId(chainId)[key];
    return address;
}
const CHAINID_CONTRACTS_MAP = {
    [ChainId.ETH]: SynapseContracts.Ethereum,
    [ChainId.OPTIMISM]: SynapseContracts.Optimism,
    [ChainId.BSC]: SynapseContracts.BSC,
    [ChainId.POLYGON]: SynapseContracts.Polygon,
    [ChainId.FANTOM]: SynapseContracts.Fantom,
    [ChainId.BOBA]: SynapseContracts.Boba,
    [ChainId.MOONRIVER]: SynapseContracts.Moonriver,
    [ChainId.ARBITRUM]: SynapseContracts.Arbitrum,
    [ChainId.AVALANCHE]: SynapseContracts.Avalanche,
    [ChainId.AURORA]: SynapseContracts.Aurora,
    [ChainId.HARMONY]: SynapseContracts.Harmony,
};
export const contractsForChainId = (chainId) => { var _a; return (_a = CHAINID_CONTRACTS_MAP[chainId]) !== null && _a !== void 0 ? _a : null; };
