import { contractAddressFor } from "../common/utils";
import { SynapseBridgeFactory, L1BridgeZapFactory, L2BridgeZapFactory, BridgeConfigFactory, } from "../contracts";
import { ChainId } from "../common";
import { newProviderForNetwork } from "../rpcproviders";
export var SynapseEntities;
(function (SynapseEntities) {
    SynapseEntities.bridgeConfigAddress = "0x7fd806049608b7d04076b8187dd773343e0589e6";
    function synapseBridge(params) {
        const address = contractAddressFor(params.chainId, "bridge");
        return SynapseBridgeFactory.connect(address, params.signerOrProvider);
    }
    SynapseEntities.synapseBridge = synapseBridge;
    function l1BridgeZap(params) {
        const address = contractAddressFor(params.chainId, "bridge_zap");
        return L1BridgeZapFactory.connect(address, params.signerOrProvider);
    }
    SynapseEntities.l1BridgeZap = l1BridgeZap;
    function l2BridgeZap(params) {
        const address = contractAddressFor(params.chainId, "bridge_zap");
        return L2BridgeZapFactory.connect(address, params.signerOrProvider);
    }
    SynapseEntities.l2BridgeZap = l2BridgeZap;
    function bridgeConfig() {
        const provider = newProviderForNetwork(ChainId.ETH);
        return BridgeConfigFactory.connect(SynapseEntities.bridgeConfigAddress, provider);
    }
    SynapseEntities.bridgeConfig = bridgeConfig;
})(SynapseEntities || (SynapseEntities = {}));
